Skip to main content
`Ctrl`+`K`

# VecSetBindingPropagates

Sets whether the state of being bound to the CPU for a GPU vector type propagates to child and some other associated objects

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecSetBindingPropagates(Vec v, PetscBool flg)

## Input Parameters

- v - the vector

- flg - flag indicating whether the boundtocpu flag should be propagated

## Notes

If the value of flg is set to true, then `VecDuplicate()` and `VecDuplicateVecs()` will bind created vectors to GPU if the input vector is bound to the CPU. The created vectors will also have their bindingpropagates flag set to true.

## Developer Notes

If a `DMDA` has the `-dm_bind_below option` set to true, then vectors created by `DMCreateGlobalVector()` will have `VecSetBindingPropagates()` called on them to set their bindingpropagates flag to true.

## See Also

Vectors and Parallel Data, `Vec`, `MatSetBindingPropagates()`, `VecGetBindingPropagates()`

## Level

developer

## Location

src/vec/vec/interface/vector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages